Skip to main content
GET
List CVE Statuses

Authorizations

Authorization
string
header
required

Enter your bearer token in the format: Bearer {token}

Query Parameters

mac_address
string

Filter statuses by a specific MAC address.

Example:

"00:1A:2B:3C:4D:5E"

cve_id
string

Filter statuses by a specific CVE identifier.

Example:

"CVE-2023-1234"

status
enum<string>

Filter statuses by their current state.

Available options:
open,
accepted,
mitigated
Example:

"accepted"

Response

A list of CVE status records matching the filter criteria.

id
string<uuid>

The unique identifier for this status record.

mac_address
string

The MAC address to which this status applies.

Example:

"00:1A:2B:3C:4D:5E"

cve_id
string

The CVE identifier to which this status applies.

Example:

"CVE-2023-1234"

status
enum<string>

The management status of the vulnerability.

Available options:
accepted,
mitigated
Example:

"accepted"

justification
string

The reason for this status assignment.

Example:

"Risk accepted due to internal-only service with no external access."

scan_id
string<uuid> | null

The ID of the scan that was active when this status was created.

expiration_date
string<date-time> | null

The timestamp when this status will expire and revert to 'open'.

created_by
string<uuid>

The ID of the user who created this status record.

updated_by
string<uuid>

The ID of the user who last updated this status record.

created_at
string<date-time>

The timestamp when this status record was created.

updated_at
string<date-time>

The timestamp when this status record was last updated.